# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{mechanize}
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Aaron Patterson", "Mike Dalessio"]
  s.date = %q{2010-02-08}
  s.description = %q{The Mechanize library is used for automating interaction with websites. 
Mechanize automatically stores and sends cookies, follows redirects,
can follow links, and submit forms.  Form fields can be populated and
submitted.  Mechanize also keeps track of the sites that you have visited as
a history.}
  s.email = ["aaronp@rubyforge.org", "mike.dalessio@gmail.com"]
  s.extra_rdoc_files = ["Manifest.txt", "CHANGELOG.rdoc", "EXAMPLES.rdoc", "FAQ.rdoc", "GUIDE.rdoc", "LICENSE.rdoc", "README.rdoc"]
  s.files = ["lib/mechanize.rb", "lib/mechanize/chain.rb", "lib/mechanize/chain/auth_headers.rb", "lib/mechanize/chain/body_decoding_handler.rb", "lib/mechanize/chain/connection_resolver.rb", "lib/mechanize/chain/custom_headers.rb", "lib/mechanize/chain/handler.rb", "lib/mechanize/chain/header_resolver.rb", "lib/mechanize/chain/parameter_resolver.rb", "lib/mechanize/chain/post_connect_hook.rb", "lib/mechanize/chain/pre_connect_hook.rb", "lib/mechanize/chain/request_resolver.rb", "lib/mechanize/chain/response_body_parser.rb", "lib/mechanize/chain/response_header_handler.rb", "lib/mechanize/chain/response_reader.rb", "lib/mechanize/chain/ssl_resolver.rb", "lib/mechanize/chain/uri_resolver.rb", "lib/mechanize/content_type_error.rb", "lib/mechanize/cookie.rb", "lib/mechanize/cookie_jar.rb", "lib/mechanize/file.rb", "lib/mechanize/file_response.rb", "lib/mechanize/file_saver.rb", "lib/mechanize/form.rb", "lib/mechanize/form/button.rb", "lib/mechanize/form/check_box.rb", "lib/mechanize/form/field.rb", "lib/mechanize/form/file_upload.rb", "lib/mechanize/form/image_button.rb", "lib/mechanize/form/multi_select_list.rb", "lib/mechanize/form/option.rb", "lib/mechanize/form/radio_button.rb", "lib/mechanize/form/select_list.rb", "lib/mechanize/headers.rb", "lib/mechanize/history.rb", "lib/mechanize/inspect.rb", "lib/mechanize/monkey_patch.rb", "lib/mechanize/page.rb", "lib/mechanize/page/base.rb", "lib/mechanize/page/frame.rb", "lib/mechanize/page/image.rb", "lib/mechanize/page/label.rb", "lib/mechanize/page/link.rb", "lib/mechanize/page/meta.rb", "lib/mechanize/pluggable_parsers.rb", "lib/mechanize/redirect_limit_reached_error.rb", "lib/mechanize/redirect_not_get_or_head_error.rb", "lib/mechanize/response_code_error.rb", "lib/mechanize/unsupported_scheme_error.rb", "lib/mechanize/util.rb", "Manifest.txt", "CHANGELOG.rdoc", "EXAMPLES.rdoc", "FAQ.rdoc", "GUIDE.rdoc", "LICENSE.rdoc", "README.rdoc"]
  s.homepage = %q{http://mechanize.rubyforge.org}
  s.rdoc_options = ["--main", "README.rdoc"]
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{mechanize}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{The Mechanize library is used for automating interaction with websites}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<nokogiri>, [">= 1.2.1"])
      s.add_development_dependency(%q<hoe>, [">= 2.3.3"])
    else
      s.add_dependency(%q<nokogiri>, [">= 1.2.1"])
      s.add_dependency(%q<hoe>, [">= 2.3.3"])
    end
  else
    s.add_dependency(%q<nokogiri>, [">= 1.2.1"])
    s.add_dependency(%q<hoe>, [">= 2.3.3"])
  end
end
